Feature: Dump
  This is a command to compress an obfuscated database
  A compressed db is easier to transport
  It takes a config path for the database connection and
  Name of the compressed database dump

  Scenario: Successful database dump

    When I run `../../bin/db_obfuscation dump -c ../../spec/config/database.yml -n test_compressed_db`
    Then the output should contain "Start process"
    Then the output should contain "Start dumping"
    Then the output should contain "Finish dumping"
    Then the output should contain "Process finished"
    Then the output should not contain "Caught an exception"

  Scenario: Unsuccessful database dump

    When I run `../../bin/db_obfuscation dump -c incorrect_database.yml -n test_compressed_db`
    Then the output should contain "Start process"
    Then the output should contain "Process finished"
    Then the output should contain "Caught an exception"
