Feature: Test Database tasks
  Scenario: Preparing a test database
  Given I run `createdb obfuscation_test`

  When I run `../../bin/obfuscation_test initialize_database -c ../../spec/config/database.yml -d ../../spec/test_db_setup`
  Then the output should contain "Dropping database obfuscation_test"
  Then the output should contain "DROP DATABASE obfuscation_test;"
  Then the output should contain "Successfully dropped the database"

  Then the output should contain "Creating database"
  Then the output should contain "CREATE DATABASE obfuscation_test OWNER"
  Then the output should contain "Finished creating database"
  Then the output should contain "Starting up migration"
  Then the output should contain "Finished migration"
  Then the output should contain "Starting seeding"
  Then the output should contain "Finished seeding"
